<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>Mapper</name>
    <filename>namespace_mapper.html</filename>
    <class kind="class">Mapper::AbstractMapperIterator</class>
    <class kind="class">Mapper::Mapper</class>
    <class kind="class">Mapper::MapperIterator</class>
  </compound>
  <compound kind="class">
    <name>Mapper::AbstractMapperIterator</name>
    <filename>class_mapper_1_1_abstract_mapper_iterator.html</filename>
    <base>Qore::AbstractIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_mapper_1_1_abstract_mapper_iterator.html</anchorfile>
      <anchor>aa5bacdb054aa09a2872bea274ec87871</anchor>
      <arglist>(Qore::AbstractIterator i)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>next</name>
      <anchorfile>class_mapper_1_1_abstract_mapper_iterator.html</anchorfile>
      <anchor>aa05a6ca361152a3354e9b661ae391079</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>class_mapper_1_1_abstract_mapper_iterator.html</anchorfile>
      <anchor>ab9efd10cf7afb885827b21e5d0b7b281</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Qore::AbstractIterator</type>
      <name>i</name>
      <anchorfile>class_mapper_1_1_abstract_mapper_iterator.html</anchorfile>
      <anchor>af821dd6bbe9f17e874b213afa3618742</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Mapper::Mapper</name>
    <filename>class_mapper_1_1_mapper.html</filename>
    <member kind="function">
      <type>private</type>
      <name>checkMap</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a729878709186f86426a85f0c37de5447</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>private</type>
      <name>checkMapField</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a6334dca1475366a24d91eccdde90b308</anchor>
      <arglist>(string k, reference fh, __7_ hash th)</arglist>
    </member>
    <member kind="function">
      <type>private</type>
      <name>checkTimezoneOption</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a34a80044fe6af6ba38db8ad80ebf14a7</anchor>
      <arglist>(hash opts, string rn)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a326d3a1077b76aae8e957feea9acbf39</anchor>
      <arglist>(hash map, __7_ hash opts)</arglist>
    </member>
    <member kind="function">
      <type>private</type>
      <name>constructor</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a7391f32aaa473f974ef4c4bcfae7c255</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>private</type>
      <name>convertToHash</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>af0b910238bb273ad023bf872eadfc67a</anchor>
      <arglist>(int t, string k, reference fh)</arglist>
    </member>
    <member kind="function">
      <type>private</type>
      <name>error</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a99f3f14df716f0442f59bcacddeb981c</anchor>
      <arglist>(string fmt)</arglist>
    </member>
    <member kind="function">
      <type>private</type>
      <name>error2</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>af1b866dbc159b8c02eafdb9225865b5f</anchor>
      <arglist>(string ex, string fmt)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCount</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a9c786fbe1c2f1155775aeb06453127b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>private bool</type>
      <name>hasMapping</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>ab20a7ac5561333c0fb501b7925ff1377</anchor>
      <arglist>(hash fh)</arglist>
    </member>
    <member kind="function">
      <type>list</type>
      <name>mapAll</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>ad60459183b541f3dd493626a7ed5410d</anchor>
      <arglist>(softlist recs)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>mapData</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>aaef139f6e2934e509170223cba9213c4</anchor>
      <arglist>(hash rec)</arglist>
    </member>
    <member kind="function">
      <type>private</type>
      <name>mapFieldType</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a43304551841887638a5977a2f18c0c6a</anchor>
      <arglist>(string key, hash m, reference v, hash rec)</arglist>
    </member>
    <member kind="function">
      <type>private any</type>
      <name>mapSubclass</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a0546e4ae6f3501a4e0285f40cca45ff0</anchor>
      <arglist>(hash m, any v)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>optionKeys</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>aee2341670b8ec1a5791d15ac42efe585</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>resetCount</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>af004309e7199501469b75b316208d7c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>private</type>
      <name>setup</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>aea09f79a5b20bad886c30d5d93134b8e</anchor>
      <arglist>(hash map, __7_ hash opts)</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>validKeys</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a44656b3a5bfe91d233ccfc00cc597281</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>validTypes</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a10e8c9a6753b06bafa00d1c7e5367973</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>allow_dot</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>afed78c2e2e8314d7edb04e6762b52a44</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>int</type>
      <name>count</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a03e542a2a7c576ea9bb888138b934aef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>__7_ hash</type>
      <name>crec</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>ab39b740fb4fe5a5895620f90c1a205ac</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>string</type>
      <name>enc</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a7e1846c27bf2e73bca3bbc934d15ac90</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>__7_ code</type>
      <name>input_log</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a80767586d046093c5926dd4cb160a5df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Qore::TimeZone</type>
      <name>input_timezone</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a0fd5594370359e215db0f5c9b7963df3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>hash</type>
      <name>map</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>afa55f7b305e9aaa69bf3d86021f1d4c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>__7_ string</type>
      <name>name</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>aab8cfa6cb57ca7bde54ba3708bc58f9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const</type>
      <name>OptionKeys</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>ae6d5e20bfd68547e56bc8d74b7618277</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>__7_ code</type>
      <name>output_log</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a7cc89781ff4ffe76c7aa6c2868295db1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>__7_ Qore::TimeZone</type>
      <name>timezone</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>ab6760378c88ef8606f5a605025613e32</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>__7_ code</type>
      <name>trunc</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a34dbe2f915c9383c6f3c319c7d3f68e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>bool</type>
      <name>trunc_all</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a5515f4c88c30e5dec27057abf8279bda</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const</type>
      <name>ValidKeys</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a513f3c4ca95170884638727020cc00d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>const</type>
      <name>ValidTypes</name>
      <anchorfile>class_mapper_1_1_mapper.html</anchorfile>
      <anchor>a1bb39d56e19b84038417b65a6ed41ed5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Mapper::MapperIterator</name>
    <filename>class_mapper_1_1_mapper_iterator.html</filename>
    <base>Mapper::AbstractMapperIterator</base>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_mapper_1_1_mapper_iterator.html</anchorfile>
      <anchor>aa14cd4daafb3b7a8cf53b710cba31490</anchor>
      <arglist>(Qore::AbstractIterator i, hash map, __7_ hash opts)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>constructor</name>
      <anchorfile>class_mapper_1_1_mapper_iterator.html</anchorfile>
      <anchor>a199d263a1e98dcedd9ce79b2374960fc</anchor>
      <arglist>(Qore::AbstractIterator i, Mapper::Mapper map)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCount</name>
      <anchorfile>class_mapper_1_1_mapper_iterator.html</anchorfile>
      <anchor>a6bc6a5e1ba2e9be5787482788b113f39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>hash</type>
      <name>getValue</name>
      <anchorfile>class_mapper_1_1_mapper_iterator.html</anchorfile>
      <anchor>ac925d8c67679bb75c812a0fc021de94c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>resetCount</name>
      <anchorfile>class_mapper_1_1_mapper_iterator.html</anchorfile>
      <anchor>a14263a173949811761250bc95866f265</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>Mapper::Mapper</type>
      <name>map</name>
      <anchorfile>class_mapper_1_1_mapper_iterator.html</anchorfile>
      <anchor>aaeebe4cbe9331a8b5da839387525bd4e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>doxygen</name>
    <path>/Users/david/src/qore/svn/qore/trunk/doxygen/</path>
    <filename>dir_4e8d938e9ddb5a617c200d5739d1f41a.html</filename>
    <dir>doxygen/qlib</dir>
  </compound>
  <compound kind="dir">
    <name>doxygen/qlib</name>
    <path>/Users/david/src/qore/svn/qore/trunk/doxygen/qlib/</path>
    <filename>dir_13add0083e006ac756009d5942a24d28.html</filename>
    <file>Mapper.qm.dox.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Mapper Module</title>
    <filename>index</filename>
    <docanchor file="index" title="Mapper Module Introduction">mapperintro</docanchor>
    <docanchor file="index" title="Mapper Examples">mapperexamples</docanchor>
    <docanchor file="index" title="Mapper Specification Format">mapperkeys</docanchor>
    <docanchor file="index" title="Mapper Options">mapperoptions</docanchor>
    <docanchor file="index" title="Release Notes">mapperrelnotes</docanchor>
    <docanchor file="index" title="Mapper v1.0">mapperv1_0</docanchor>
  </compound>
</tagfile>
